# Prediction Market Liquidity `GET` `https://api.unusualwhales.com/api/predictions/market/{asset_id}/liquidity` Returns liquidity data for a given prediction market asset. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `asset_id` | string | Yes | | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `ask_liquidity` | string | | | `asks` | array[Prediction Order Book Level] | | | `asset_id` | string | | | `best_ask` | string | | | `best_bid` | string | | | `bid_liquidity` | string | | | `bids` | array[Prediction Order Book Level] | | | `mid_price` | string | | | `spread` | string | | | `timestamp` | string | | | `total_liquidity` | string | | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/predictions/market/{asset_id}/liquidity" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/predictions/market/{asset_id}/liquidity", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": { "ask_liquidity": "12500", "asks": [ null ], "asset_id": "78699665722135183571140787397681621204678465342167575193369860798796866652931", "best_ask": "0.63", "best_bid": "0.61" } } ```